﻿### functions

function Check-SoftwareInstalled ($displayName) {
  $registryPaths = @(
    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*',
    'HKLM:\Software\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*'
  )

  return Get-ItemProperty $registryPaths -ErrorAction SilentlyContinue | Where-Object {
    $_.DisplayName -eq $displayName
  }
}

### end functions

$packageName = 'flashplayerplugin'
$version = '20.0.0.306'
$installArgs = '/quiet /norestart REMOVE_PREVIOUS=YES'
$url = 'https://download.macromedia.com/get/flashplayer/current/licensing/win/install_flash_player_20_plugin.msi'

$majorVersion = ([version] $version).Major

$alreadyInstalled = Check-SoftwareInstalled "Adobe Flash Player $majorVersion NPAPI"

if ($alreadyInstalled) {
  Write-Output $(
    "Adobe Flash Player NPAPI (for non-IE browsers) v$version " +
    "is already installed. No need to download and install it again."
  )
} else {
  Install-ChocolateyPackage $packageName 'msi' $installArgs $url
}

